VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "TimedFinalEvent"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Implements Events
Dim numLanes As Integer
Dim swimmers As Collection
Dim evnts As Events
Dim sw As Collection
Dim sd As Seeding

Private Sub Class_Initialize()
  Set evnts = New Events
End Sub

Private Function Events_getSeeding() As Seeding
  Set sd = New StraightSeeding
  sd.init swimmers, numLanes
  sd.seed
  Set Events_getSeeding = sd
End Function

Private Function Events_getSwimmers() As Collection

End Function

Private Function Events_isFinal() As Boolean
  Events_isFinal = False
End Function

Private Function Events_isPrelim() As Boolean
  Events_isPrelim = False
End Function

Private Function Events_isTimedFinal() As Boolean
  Events_isTimedFinal = True
End Function

Private Sub Events_init(Filename As String, lanes As Integer)
  Dim f As Integer, s As String
  Dim sw As Swimmer
  numLanes = lanes
  evnts.init Filename, lanes
  Set swimmers = evnts.getSwimmers
End Sub
